import request from '@/utils/request';

//分页查询学校年级
export function querySchoolGradePage(params:any){
  return request({
    url: '/base/school-grade/querySchoolGradePage' ,
    method: 'get',
    params: params
  });
}
//查询学校年级List
export function querySchoolGradeList(params:any){
  return request({
    url: '/base/school-grade/querySchoolGradeList' ,
    method: 'get',
    params: params
  });
}
//根据学校ids查询中小学校列表
export function queryByIdsSchoolGradeList(params:any){
  return request({
    url: '/base/school-grade/queryByIdsSchoolGradeList' ,
    method: 'get',
    params: params
  });
}



//新增学校年级
export function addSchoolGrade(data:any){
  return request({
    url:'/base/school-grade/addSchoolGrade' ,
    method: 'post',
    data: data
  });
}
//修改学校年级
export function updateSchoolGrade(data:any){
  return request({
    url:'/base/school-grade/updateSchoolGrade' ,
    method: 'post',
    data: data
  });
}
//删除学校年级
export function delSchoolGrade(queryParams:any){
  return request({
    url:'/base/school-grade/delSchoolGrade' ,
    method: 'post',
    params: queryParams
  });
}


